## Apache Zeta Components Manual :: Docs For Class ezcMvcFeedViewHandler

### MvcFeedTiein::ezcMvcFeedViewHandler

### Class ezcMvcFeedViewHandler

The view handler that uses XML feeds to render result objects.

Source for this file: /MvcFeedTiein/src/view_handlers/feed.php

### Implements interfaces:

- ezcMvcViewHandler

Version: | //autogentag//

### Member Variables

protected ezcMvcFeedDecorator | `$decorator` Contains the decorator.
public ezcFeed | `$feed` Contains the embedded feed object.
protected string | `$feedType` Contains the embedded feed type.
protected mixed | `$result` Contains the result after process() has been called.
protected array(mixed) | `$variables = array()` Contains the variables that will be available in the template.
protected string | `$zoneName` Contains the zone name.

### Method Summary

public ezcMvcFeedViewHandler | `__construct( $zoneName , [ $decorator = null] , [ $feedType = 'rss2'] )` Creates a new view handler, where $zoneName is the name of the block and $decorator is the object implementing decorating methods for the feed and feed items.
public string | `getName( )` Returns the name of the template, as set in the constructor.
public mixed | `getResult( )` Returns the result of the process() method.
public void | `process( $last )` Processes the template with the variables added by the send() method.
public void | `send( $name , $value )` Adds a variable to the template, which can then be used for rendering the view.

### Methods

#### __construct

ezcMvcFeedViewHandler __construct( string $zoneName , [ezcMvcFeedDecorator $decorator = null] , [ $feedType = 'rss2'] )

Creates a new view handler, where $zoneName is the name of the block and $decorator is the object implementing decorating methods for the feed and feed items.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$zoneName` | string |
`$decorator` | ezcMvcFeedDecorator |
`$feedType` |  |

#### getName

string getName( )

Returns the name of the template, as set in the constructor.

#### getResult

mixed getResult( )

Returns the result of the process() method.

#### process

void process( mixed $last )

Processes the template with the variables added by the send() method.

The result of this action should be retrievable through the getResult() method.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$last` | mixed |

#### send

void send( string $name , mixed $value )

Adds a variable to the template, which can then be used for rendering the view.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$name` | string |
`$value` | mixed |

Documentation generated by phpDocumentor 1.4.3